#
# This file is part of Test-Moose-More
#
# This software is Copyright (c) 2012 by Chris Weyl.
#
# This is free software, licensed under:
#
#   The GNU Lesser General Public License, Version 2.1, February 1999
#
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.009.
use strict;
use warnings;

use 5.006;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "More tools for testing Moose packages",
  "AUTHOR" => "Chris Weyl <cweyl\@alumni.drew.edu>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Test-Moose-More",
  "LICENSE" => "lgpl",
  "MIN_PERL_VERSION" => "5.006",
  "NAME" => "Test::Moose::More",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Data::OptList" => 0,
    "List::Util" => "1.45",
    "Moose::Util" => 0,
    "Moose::Util::TypeConstraints" => 0,
    "Scalar::Util" => 0,
    "Sub::Exporter::Progressive" => 0,
    "Syntax::Keyword::Junction" => 0,
    "Test::Builder" => 0,
    "Test::Moose" => 0,
    "Test::More" => "0.94",
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "List::Util" => "1.45",
    "Moose" => 0,
    "Moose::Meta::Attribute" => 0,
    "Moose::Role" => 0,
    "Moose::Util::MetaRole" => 0,
    "TAP::SimpleOutput" => "0.009",
    "Test::Builder::Tester" => 0,
    "Test::CheckDeps" => "0.010",
    "Test::More" => "0.94",
    "blib" => "1.01",
    "namespace::autoclean" => 0
  },
  "VERSION" => "0.046",
  "test" => {
    "TESTS" => "t/*.t t/attribute_options_ok/*.t t/is_class_ok/*.t t/validate_attribute/*.t t/validate_class/*.t t/validate_role/*.t t/validate_thing/*.t t/wrapped/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Data::OptList" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "List::Util" => "1.45",
  "Moose" => 0,
  "Moose::Meta::Attribute" => 0,
  "Moose::Role" => 0,
  "Moose::Util" => 0,
  "Moose::Util::MetaRole" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "Scalar::Util" => 0,
  "Sub::Exporter::Progressive" => 0,
  "Syntax::Keyword::Junction" => 0,
  "TAP::SimpleOutput" => "0.009",
  "Test::Builder" => 0,
  "Test::Builder::Tester" => 0,
  "Test::CheckDeps" => "0.010",
  "Test::Moose" => 0,
  "Test::More" => "0.94",
  "blib" => "1.01",
  "namespace::autoclean" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
